Index: branches/PersistenceOverhaul/HeuristicLab.Problems.LawnMower/3.3/BestSolutionAnalyzer.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.LawnMower/3.3/BestSolutionAnalyzer.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.LawnMower/3.3/BestSolutionAnalyzer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 
 namespace HeuristicLab.Problems.LawnMower {
-  [StorableClass]
+  [StorableClass("33C3BFD9-5CEC-487C-9CF1-8E9235C9CB63")]
   [Item("Best Lawn Mower Solution Analyzer", "Analyzer that stores the best lawn mower solution.")]
   public class BestSolutionAnalyzer : SingleSuccessorOperator, ISymbolicExpressionTreeAnalyzer {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.LawnMower/3.3/Evaluator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.LawnMower/3.3/Evaluator.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.LawnMower/3.3/Evaluator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 
 namespace HeuristicLab.Problems.LawnMower {
-  [StorableClass]
+  [StorableClass("09C181E0-09B8-4A2A-B8D1-C5A0EB25A036")]
   [Item("Lawn Mower Evaluator", "Evaluator for the lawn mower demo GP problem.")]
   public class Evaluator : InstrumentedOperator, ISingleObjectiveEvaluator {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.LawnMower/3.3/Grammar.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.LawnMower/3.3/Grammar.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.LawnMower/3.3/Grammar.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -27,5 +27,5 @@
 
 namespace HeuristicLab.Problems.LawnMower {
-  [StorableClass]
+  [StorableClass("689C6397-EFD4-4BD7-BA6A-4ADE24C7F2BE")]
   [Item("Lawn Mower Grammar", "The grammar for the lawn mower GP problem.")]
   public sealed class Grammar : SymbolicExpressionGrammar {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.LawnMower/3.3/Problem.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.LawnMower/3.3/Problem.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.LawnMower/3.3/Problem.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -32,5 +32,5 @@
 
 namespace HeuristicLab.Problems.LawnMower {
-  [StorableClass]
+  [StorableClass("F011A534-8F3A-4682-A474-74E26E787573")]
   [Item("Lawn Mower Problem", "The lawn mower demo problem for genetic programming.")]
   public class Problem : SingleObjectiveHeuristicOptimizationProblem<Evaluator, ISymbolicExpressionTreeCreator> {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.LawnMower/3.3/Solution.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.LawnMower/3.3/Solution.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.LawnMower/3.3/Solution.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -26,5 +26,5 @@
 
 namespace HeuristicLab.Problems.LawnMower {
-  [StorableClass]
+  [StorableClass("B89091EE-7C06-4C28-AA60-33F5E84A0240")]
   public sealed class Solution : NamedItem {
     private int width;
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.LawnMower/3.3/Symbols/Constant.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.LawnMower/3.3/Symbols/Constant.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.LawnMower/3.3/Symbols/Constant.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -25,5 +25,5 @@
 
 namespace HeuristicLab.Problems.LawnMower {
-  [StorableClass]
+  [StorableClass("304BBC04-AD41-44F8-9E0C-2FEDEA83DEFF")]
   public sealed class Constant : Symbol {
     public override int MinimumArity {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.LawnMower/3.3/Symbols/ConstantTreeNode.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.LawnMower/3.3/Symbols/ConstantTreeNode.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.LawnMower/3.3/Symbols/ConstantTreeNode.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -27,5 +27,5 @@
 
 namespace HeuristicLab.Problems.LawnMower {
-  [StorableClass]
+  [StorableClass("2C281DFB-E16D-4C0F-AC58-288458E9001D")]
   public sealed class ConstantTreeNode : SymbolicExpressionTreeTerminalNode {
     private Tuple<int, int> value;
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.LawnMower/3.3/Symbols/Forward.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.LawnMower/3.3/Symbols/Forward.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.LawnMower/3.3/Symbols/Forward.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -25,5 +25,5 @@
 
 namespace HeuristicLab.Problems.LawnMower {
-  [StorableClass]
+  [StorableClass("C9FDA044-BD8B-4E5F-A4D7-39B32DA4D133")]
   public sealed class Forward : Symbol {
     public override int MinimumArity {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.LawnMower/3.3/Symbols/Frog.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.LawnMower/3.3/Symbols/Frog.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.LawnMower/3.3/Symbols/Frog.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -25,5 +25,5 @@
 
 namespace HeuristicLab.Problems.LawnMower {
-  [StorableClass]
+  [StorableClass("55EE5509-80BF-4F0A-810B-91A9F7AAB71A")]
   public sealed class Frog : Symbol {
     public override int MinimumArity {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.LawnMower/3.3/Symbols/Left.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.LawnMower/3.3/Symbols/Left.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.LawnMower/3.3/Symbols/Left.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -25,5 +25,5 @@
 
 namespace HeuristicLab.Problems.LawnMower {
-  [StorableClass]
+  [StorableClass("EDD65E28-6759-4C3A-83DF-E23E3EEAF401")]
   public sealed class Left : Symbol {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.LawnMower/3.3/Symbols/Prog.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.LawnMower/3.3/Symbols/Prog.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.LawnMower/3.3/Symbols/Prog.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -25,5 +25,5 @@
 
 namespace HeuristicLab.Problems.LawnMower {
-  [StorableClass]
+  [StorableClass("96D75667-36CD-477D-95A7-627429158563")]
   public sealed class Prog : Symbol {
     public override int MinimumArity {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.LawnMower/3.3/Symbols/Sum.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.LawnMower/3.3/Symbols/Sum.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.LawnMower/3.3/Symbols/Sum.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -25,5 +25,5 @@
 
 namespace HeuristicLab.Problems.LawnMower {
-  [StorableClass]
+  [StorableClass("FF2B6E61-BBDD-4F53-BC9E-FF553251304E")]
   public sealed class Sum : Symbol {
     public override int MinimumArity {
